{ pkgs }:
pkgs.texliveBasic.withPackages
  (ps: [
    ps.biber
    ps.biblatex
    ps.bibtex
    ps.babel
    ps.babel-japanese
    ps.noto
    ps.latexmk
    ps.csquotes
    ps.digestif
    ps.import
    ps.subfiles
    ps.wrapfig
    ps.collection-langjapanese
    ps.amsmath
    ps.amsfonts
    ps.mathtools
    ps.listings
    ps.luatexja
    ps.luainputenc
    ps.lualatex-math
    ps.unicode-math
    ps.luacode
    ps.enumitem
    ps.latex-fonts
    ps.hyperref
    ps.graphics
    ps.blindtext
    ps.xcolor
    ps.xpatch
    ps.xstring
    ps.float
    ps.framed
    ps.fontspec
    ps.ninecolors
    ps.here
    ps.caption
    ps.newtx
    ps.tabularray
    ps.fancyhdr
    ps.fancybox
    ps.fancyvrb
    ps.ascmac
    ps.ragged2e
    ps.footmisc
  ])
